package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class SituationConcepts
{
	final private static String SituationOwlURL = "http://ontology.ihmc.us/Situation.owl#";

    public static String SituationOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL); 
	}

	// Concepts
    public static final String EventHistory = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "EventHistory");
    public static final String EntityHistory = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "EntityHistory");
    public static final String Situation = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "Situation");
    public static final String State = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "State");
    public static final String Event = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "Event");

    public static String EventHistory() { return EventHistory; };
    public static String EntityHistory() { return EntityHistory; };
    public static String Situation() { return Situation; };
    public static String State() { return State; };
    public static String Event() { return Event; };

	// Properties
    public static final String hasState = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "hasState");
    public static final String hasHistory = OntologyLanguageTagSelector.selectLanguageForTag(SituationOwlURL + "hasHistory");

    public static String hasState() { return hasState; };
    public static String hasHistory() { return hasHistory; };

	// Instances

}
