package kaos.ontology.vocabulary.computing;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ComputingEntityConcepts
{
	final private static String ComputingEntityOwlURL = "http://ontology.ihmc.us/Computing/ComputingEntity.owl#";

    public static String ComputingEntityOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL); 
	}

	// Concepts
    public static final String QuantityLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "QuantityLimitedEntity");
    public static final String Connection = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "Connection");
    public static final String Socket = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "Socket");
    public static final String CPUEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "CPUEntity");
    public static final String NetworkEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "NetworkEntity");
    public static final String Computer = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "Computer");
    public static final String DiskEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "DiskEntity");
    public static final String DurationLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "DurationLimitedEntity");
    public static final String MemoryEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "MemoryEntity");
    public static final String RateLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "RateLimitedEntity");
    public static final String File = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "File");
    public static final String SizeLimitedEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "SizeLimitedEntity");
    public static final String CPuEntity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "CPuEntity");

    public static String QuantityLimitedEntity() { return QuantityLimitedEntity; };
    public static String Connection() { return Connection; };
    public static String Socket() { return Socket; };
    public static String CPUEntity() { return CPUEntity; };
    public static String NetworkEntity() { return NetworkEntity; };
    public static String Computer() { return Computer; };
    public static String DiskEntity() { return DiskEntity; };
    public static String DurationLimitedEntity() { return DurationLimitedEntity; };
    public static String MemoryEntity() { return MemoryEntity; };
    public static String RateLimitedEntity() { return RateLimitedEntity; };
    public static String File() { return File; };
    public static String SizeLimitedEntity() { return SizeLimitedEntity; };
    public static String CPuEntity() { return CPuEntity; };

	// Properties
    public static final String hasMaxRate = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasMaxRate");
    public static final String hasAddress = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasAddress");
    public static final String hasMaxSize = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasMaxSize");
    public static final String hasMaxDuration = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasMaxDuration");
    public static final String hasPath = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasPath");
    public static final String hasPort = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasPort");
    public static final String hasMaxQuantity = OntologyLanguageTagSelector.selectLanguageForTag(ComputingEntityOwlURL + "hasMaxQuantity");

    public static String hasMaxRate() { return hasMaxRate; };
    public static String hasAddress() { return hasAddress; };
    public static String hasMaxSize() { return hasMaxSize; };
    public static String hasMaxDuration() { return hasMaxDuration; };
    public static String hasPath() { return hasPath; };
    public static String hasPort() { return hasPort; };
    public static String hasMaxQuantity() { return hasMaxQuantity; };

	// Instances

}
