package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the core KAoS ontology concepts and properties.
 */
final public class timeEntryConcepts
{
	final private static String timeEntryOwlURL = "http://www.isi.edu/~pan/damltime/time-entry.owl#";

    public static String timeEntryOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL); 
	}

	// Concepts
    public static String Event() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "Event"); 
	}
    public static String InstantEvent() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "InstantEvent"); 
	}
    public static String IntervalThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "IntervalThing"); 
	}
    public static String Interval() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "Interval"); 
	}
    public static String ProperInterval() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "ProperInterval"); 
	}
    public static String InstantThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "InstantThing"); 
	}
    public static String Instant() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "Instant"); 
	}
    public static String ProperIntervalThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "ProperIntervalThing"); 
	}
    public static String TemporalEntity() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "TemporalEntity"); 
	}
    public static String CalendarClockDescription() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "CalendarClockDescription"); 
	}
    public static String InstantThingPair() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "InstantThingPair"); 
	}
    public static String DurationDescription() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "DurationDescription"); 
	}
    public static String CalendarClockInterval() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "CalendarClockInterval"); 
	}
    public static String IntervalEvent() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "IntervalEvent"); 
	}
    public static String TemporalUnit() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "TemporalUnit"); 
	}
    public static String TemporalThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "TemporalThing"); 
	}

	// Properties
    public static String startsOrDuring() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "startsOrDuring"); 
	}
    public static String hours() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "hours"); 
	}
    public static String timeZone() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "timeZone"); 
	}
    public static String intBefore() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intBefore"); 
	}
    public static String intDuring() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intDuring"); 
	}
    public static String weeks() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "weeks"); 
	}
    public static String second() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "second"); 
	}
    public static String instantPairDurationDescriptionDataType() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "instantPairDurationDescriptionDataType"); 
	}
    public static String month() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "month"); 
	}
    public static String inside() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "inside"); 
	}
    public static String day() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "day"); 
	}
    public static String intOverlappedBy() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intOverlappedBy"); 
	}
    public static String intStartedBy() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intStartedBy"); 
	}
    public static String secondInstantThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "secondInstantThing"); 
	}
    public static String minutes() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "minutes"); 
	}
    public static String week() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "week"); 
	}
    public static String minute() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "minute"); 
	}
    public static String intFinishedBy() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intFinishedBy"); 
	}
    public static String inCalendarClock() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "inCalendarClock"); 
	}
    public static String begins() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "begins"); 
	}
    public static String seconds() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "seconds"); 
	}
    public static String dayOfWeekField() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "dayOfWeekField"); 
	}
    public static String calendarClockDescriptionOf() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "calendarClockDescriptionOf"); 
	}
    public static String inCalendarClockDataType() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "inCalendarClockDataType"); 
	}
    public static String after() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "after"); 
	}
    public static String durationDescriptionOf() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "durationDescriptionOf"); 
	}
    public static String intAfter() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intAfter"); 
	}
    public static String intOverlaps() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intOverlaps"); 
	}
    public static String durationDescriptionDataType() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "durationDescriptionDataType"); 
	}
    public static String intMetBy() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intMetBy"); 
	}
    public static String firstInstantThing() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "firstInstantThing"); 
	}
    public static String years() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "years"); 
	}
    public static String hour() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "hour"); 
	}
    public static String instantPairDurationDescriptionOf() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "instantPairDurationDescriptionOf"); 
	}
    public static String intEquals() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intEquals"); 
	}
    public static String nonoverlap() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "nonoverlap"); 
	}
    public static String intContains() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intContains"); 
	}
    public static String before() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "before"); 
	}
    public static String dayOfYearField() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "dayOfYearField"); 
	}
    public static String months() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "months"); 
	}
    public static String intMeets() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intMeets"); 
	}
    public static String intFinishes() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intFinishes"); 
	}
    public static String unitType() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitType"); 
	}
    public static String ends() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "ends"); 
	}
    public static String days() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "days"); 
	}
    public static String calendarClockDescriptionDataType() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "calendarClockDescriptionDataType"); 
	}
    public static String year() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "year"); 
	}
    public static String intStarts() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "intStarts"); 
	}

	// Instances
    public static String unitMinute() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitMinute"); 
	}
    public static String unitHour() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitHour"); 
	}
    public static String unitSecond() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitSecond"); 
	}
    public static String unitWeek() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitWeek"); 
	}
    public static String unitMonth() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitMonth"); 
	}
    public static String unitDay() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitDay"); 
	}
    public static String unitYear() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(timeEntryOwlURL + "unitYear"); 
	}
}
