/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2005/12/16 03:22:10 $
 */

package kaos.core.csi.extension.classification;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;


import ri.service.spi.ServiceFactory;

/**
 * Implementaion of the JAS service factory to initilized classifiers based on the information provided 
 * in the bootstrap data under the context classifier-service
 * 
 * $Revision: 1.3 $
 */
public class ClassifierServiceFactory implements ServiceFactory
{
    public static final String ONT_CLASSIFY_TYPE = "classifier-service";

    /**
     * Empty constructor
     */
    public ClassifierServiceFactory()
    {
    }

    /**
     * @see ri.service.spi.ServiceFactory#getService(javax.agent.service.ServiceProperties)
     */
    public Service getService(ServiceProperties env) throws ServiceException
    {
        InstanceClassifierManager service = InstanceClassifierManagerImpl.getInstance();    
		((KAoSExtensionComponentManagerImpl) service).initialize(env); 
        
        return service;
    }
}

