/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2005/10/28 19:21:00 $
 */

package kaos.core.csi.query;

/**
 *   NoSuchActorException defines an exception to be thrown by the QueryRegistration 
 *   when no actor matching the query properties is found.
 
 *   @author         KAoS Team
 *   $Revision: 1.2 $
 */
public class NoSuchActorException  extends Exception 
{

    /**
     *   Constructs a new NoSuchActorException with no detailed message.
     */
    public NoSuchActorException () 
    {    
        super(); 
    }

    /**
     *   Constructs a new NoSuchActorException with a detail message.
     *   A detail message is a String that describes the exception.
     */
    public NoSuchActorException (String s) 
    { 
        super(s); 
    }
}
