package kaos.ontology.vocabulary;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class MessageConcepts
{
	final private static String MessageOwlURL = "http://ontology.ihmc.us/Message.owl#";

    public static String MessageOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(MessageOwlURL); 
	}

	// Concepts
    public static final String Message = OntologyLanguageTagSelector.selectLanguageForTag(MessageOwlURL + "Message");

    public static String Message() { return Message; };

	// Properties
    public static final String hasText = OntologyLanguageTagSelector.selectLanguageForTag(MessageOwlURL + "hasText");

    public static String hasText() { return hasText; };

	// Instances

}
