package kaos.ontology.vocabulary;

final public class RDFSConcepts 
{
    final public static String rdfsURL = "http://www.w3.org/2000/01/rdf-schema#";
    
    // RDF Schema concepts
    final public static String _Resource_ = rdfsURL + "Resource";
    final public static String _Class_ = rdfsURL + "Class";
    final public static String _Property_ = rdfsURL + "Property";
    
    // RDF Scheme properties
    final public static String _label_ = rdfsURL + "label";
    final public static String _comment_ = rdfsURL + "comment";
    final public static String _subClassOf_ = rdfsURL + "subClassOf";
    final public static String _subPropertyOf_ = rdfsURL + "subPropertyOf";
    final public static String _domain_ = rdfsURL + "domain";
    final public static String _range_ = rdfsURL + "range";
}