package kaos.ontology.vocabulary.computing;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class ComputingPlacesConcepts
{
	final private static String ComputingPlacesOwlURL = "http://ontology.ihmc.us/Computing/ComputingPlaces.owl#";

    public static String ComputingPlacesOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL); 
	}

	// Concepts
    public static final String Container = OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL + "Container");
    public static final String ComputationalPlace = OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL + "ComputationalPlace");
    public static final String SystemEnvironment = OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL + "SystemEnvironment");
    public static final String VirtualMachine = OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL + "VirtualMachine");
    public static final String Host = OntologyLanguageTagSelector.selectLanguageForTag(ComputingPlacesOwlURL + "Host");

    public static String Container() { return Container; };
    public static String ComputationalPlace() { return ComputationalPlace; };
    public static String SystemEnvironment() { return SystemEnvironment; };
    public static String VirtualMachine() { return VirtualMachine; };
    public static String Host() { return Host; };

	// Properties


	// Instances

}
